export = XmlProcessingInstruction;
/**
A processing instruction within an XML document.

@public
*/
declare class XmlProcessingInstruction extends XmlNode {
    /**
    @param {string} name
    @param {string} [content]
    */
    constructor(name: string, content?: string | undefined);
    /**
    Name of this processing instruction. Also sometimes referred to as the
    processing instruction "target".

    @type {string}
    @public
    */
    public name: string;
    /**
    Content of this processing instruction.

    @type {string}
    @public
    */
    public content: string;
}
import XmlNode = require("./XmlNode");
//# sourceMappingURL=XmlProcessingInstruction.d.ts.map